Package org.eclipse.jdt.ui.text.java.hover

## Interface IJavaEditorTextHover

All Superinterfaces:
  `ITextHover`

    public interface IJavaEditorTextHover
    extends ITextHover

Provides a hover popup which appears on top of an editor with relevant display information. If the text hover does not provide information no hover popup is shown.

Clients may implement this interface.

Since:
  2.0
See Also:
  `IEditorPart`, `ITextHover`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setEditor​(IEditorPart editor)` Sets the editor on which the hover is shown.

### Methods inherited from interface org.eclipse.jface.text.ITextHover

`getHoverInfo, getHoverRegion`

### Method Detail

#### setEditor

    void setEditor​(IEditorPart editor)

Sets the editor on which the hover is shown.

Parameters:
  `editor` - the editor on which the hover popup should be shown